# Air配置文件
root = "."
tmp_dir = "tmp"

[build]
# 入口文件
cmd = "go build -o ./tmp/main.exe ./app/user/cmd/api/main.go"
# 二进制文件
bin = "$env:ENV = 'development' && ./tmp/main.exe"
# 运行时的参数
full_bin = "./tmp/main.exe -- $env:ENV='development'"

# 监听以下扩展名的文件变化./
include_ext = ["go", "tpl", "tmpl", "html", "yaml", "yml"]
# 忽略的目录
exclude_dir = ["assets", "tmp", "vendor", "testdata", ".git", ".idea", "data"]
# 构建延迟
delay = 1000
# 停止延迟
kill_delay = "2s"
# 日志文件
log = "build-errors.log"
# 出错时停止
stop_on_error = true
# 发送中断信号
send_interrupt = true



[color]
main = "magenta"
watcher = "cyan"
build = "yellow"
runner = "green"

[log]
# 启用时间戳
time = true
# 启用详细日志
main_only = false
silent = false

[misc]
# 清理屏幕
clean_on_exit = false

[proxy]
app_port = 0
enabled = false
proxy_port = 0

[screen]
clear_on_rebuild = false
keep_scroll = true